<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>JavaInnerClassifiers xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2006 - 2016 CEA LIST.</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * </em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> *     Shuai Li (CEA LIST) &lt;shuai.li@cea.fr&gt; - initial API and implementation</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.java.codegen.xtend;
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.codegen.xtend.JavaClassAttributesDeclaration;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.codegen.xtend.JavaClassInheritedDeclarations;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.codegen.xtend.JavaClassOperationsDeclaration;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.codegen.xtend.JavaClassTypeAndEnum;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.codegen.xtend.JavaClassifierGenerator;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.codegen.xtend.JavaDocumentation;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.codegen.xtend.JavaEnumerations;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.codegen.xtend.JavaTemplates;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Classifier;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Enumeration;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtend2.lib.StringConcatenation;
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  @SuppressWarnings(<span class="jxr_string">"all"</span>)
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html">JavaInnerClassifiers</a> {
<a class="jxr_linenumber" name="L27" href="#L27">27</a>    <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> CharSequence javaInnerClassDefinition(<strong class="jxr_keyword">final</strong> Classifier classifier) {
<a class="jxr_linenumber" name="L28" href="#L28">28</a>      StringConcatenation _builder = <strong class="jxr_keyword">new</strong> StringConcatenation();
<a class="jxr_linenumber" name="L29" href="#L29">29</a>      CharSequence _javaElementDoc = JavaDocumentation.javaElementDoc(classifier);
<a class="jxr_linenumber" name="L30" href="#L30">30</a>      _builder.append(_javaElementDoc, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L31" href="#L31">31</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L32" href="#L32">32</a>      String _classVisibility = JavaClassifierGenerator.classVisibility(classifier);
<a class="jxr_linenumber" name="L33" href="#L33">33</a>      _builder.append(_classVisibility, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L34" href="#L34">34</a>      String _classModifiers = JavaClassifierGenerator.classModifiers(classifier);
<a class="jxr_linenumber" name="L35" href="#L35">35</a>      _builder.append(_classModifiers, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L36" href="#L36">36</a>      String _classifierType = JavaClassifierGenerator.classifierType(classifier);
<a class="jxr_linenumber" name="L37" href="#L37">37</a>      _builder.append(_classifierType, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L38" href="#L38">38</a>      _builder.append(<span class="jxr_string">" "</span>);
<a class="jxr_linenumber" name="L39" href="#L39">39</a>      String _name = classifier.getName();
<a class="jxr_linenumber" name="L40" href="#L40">40</a>      _builder.append(_name, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L41" href="#L41">41</a>      CharSequence _templateSignature = JavaTemplates.templateSignature(classifier);
<a class="jxr_linenumber" name="L42" href="#L42">42</a>      _builder.append(_templateSignature, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L43" href="#L43">43</a>      CharSequence _javaClassInheritedDeclarations = JavaClassInheritedDeclarations.javaClassInheritedDeclarations(classifier);
<a class="jxr_linenumber" name="L44" href="#L44">44</a>      _builder.append(_javaClassInheritedDeclarations, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L45" href="#L45">45</a>      _builder.append(<span class="jxr_string">" {"</span>);
<a class="jxr_linenumber" name="L46" href="#L46">46</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L47" href="#L47">47</a>      _builder.append(<span class="jxr_string">"\t"</span>);
<a class="jxr_linenumber" name="L48" href="#L48">48</a>      {
<a class="jxr_linenumber" name="L49" href="#L49">49</a>        <strong class="jxr_keyword">if</strong> ((classifier instanceof Enumeration)) {
<a class="jxr_linenumber" name="L50" href="#L50">50</a>          CharSequence _javaEnumerationLiterals = JavaEnumerations.javaEnumerationLiterals(((Enumeration) classifier));
<a class="jxr_linenumber" name="L51" href="#L51">51</a>          _builder.append(_javaEnumerationLiterals, <span class="jxr_string">"\t"</span>);
<a class="jxr_linenumber" name="L52" href="#L52">52</a>        }
<a class="jxr_linenumber" name="L53" href="#L53">53</a>      }
<a class="jxr_linenumber" name="L54" href="#L54">54</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L55" href="#L55">55</a>      _builder.append(<span class="jxr_string">"    "</span>);
<a class="jxr_linenumber" name="L56" href="#L56">56</a>      Object _javaClassTypeAndEnum = JavaClassTypeAndEnum.javaClassTypeAndEnum(classifier);
<a class="jxr_linenumber" name="L57" href="#L57">57</a>      _builder.append(_javaClassTypeAndEnum, <span class="jxr_string">"    "</span>);
<a class="jxr_linenumber" name="L58" href="#L58">58</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L59" href="#L59">59</a>      _builder.append(<span class="jxr_string">"    \t\t\t"</span>);
<a class="jxr_linenumber" name="L60" href="#L60">60</a>      CharSequence _javaClassAttributesDeclaration = JavaClassAttributesDeclaration.javaClassAttributesDeclaration(classifier);
<a class="jxr_linenumber" name="L61" href="#L61">61</a>      String _string = _javaClassAttributesDeclaration.toString();
<a class="jxr_linenumber" name="L62" href="#L62">62</a>      _builder.append(_string, <span class="jxr_string">"    \t\t\t"</span>);
<a class="jxr_linenumber" name="L63" href="#L63">63</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L64" href="#L64">64</a>      _builder.append(<span class="jxr_string">"\t"</span>);
<a class="jxr_linenumber" name="L65" href="#L65">65</a>      CharSequence _javaClassOperationsDeclaration = JavaClassOperationsDeclaration.javaClassOperationsDeclaration(classifier);
<a class="jxr_linenumber" name="L66" href="#L66">66</a>      String _string_1 = _javaClassOperationsDeclaration.toString();
<a class="jxr_linenumber" name="L67" href="#L67">67</a>      _builder.append(_string_1, <span class="jxr_string">"\t"</span>);
<a class="jxr_linenumber" name="L68" href="#L68">68</a>      _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L69" href="#L69">69</a>      _builder.append(<span class="jxr_string">"};"</span>);
<a class="jxr_linenumber" name="L70" href="#L70">70</a>      _builder.newLine();
<a class="jxr_linenumber" name="L71" href="#L71">71</a>      <strong class="jxr_keyword">return</strong> _builder;
<a class="jxr_linenumber" name="L72" href="#L72">72</a>    }
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
